package info.aspirecn.cloud.yysj.cloudyysjlogin.entity.request.sjjh;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

@ApiModel(
        description = "客户model"
)
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class CustomerInfo {
    @ApiModelProperty(
            name = "客户sid"
    )
    private String sid;
    @ApiModelProperty(
            name = "客户userId"
    )
    private Integer id;
    @ApiModelProperty(
            name = "客户id"
    )
    private String customerId;
    @ApiModelProperty(
            name = "appid"
    )
    private String appId;
    @ApiModelProperty(
            name = "客户id"
    )
    private String secret;
    @ApiModelProperty(
            name = "企业名称"
    )
    private String enterpriseName;
    @ApiModelProperty(
            name = "统一信用代码"
    )
    private String socialCode;
    @ApiModelProperty(
            name = "法人代表"
    )
    private String legalperson;
    @ApiModelProperty(
            name = "联系人"
    )
    private String contactPerson;
    @ApiModelProperty(
            name = "联系手机"
    )
    private String contactPhone;
    @ApiModelProperty(
            name = "客户email"
    )
    private String customerEmail;
    @ApiModelProperty(
            name = "营业执照"
    )
    private String license;
    @ApiModelProperty(
            name = "营业执照名称"
    )
    private String licenseName;
    @ApiModelProperty(
            name = "发票信息_企业名称"
    )
    private String invoiceEnterpriseName;
    @ApiModelProperty(
            name = "发票信息_纳税识别号"
    )
    private String invoiceTaxNo;
    @ApiModelProperty(
            name = "发票信息_企业地址"
    )
    private String invoiceAddress;
    @ApiModelProperty(
            name = "发票信息_开户银行"
    )
    private String invoiceBank;
    @ApiModelProperty(
            name = "发票信息_账号"
    )
    private String invoiceAccount;
    @ApiModelProperty(
            name = "发票信息_电话"
    )
    private String invoicePhone;
    @ApiModelProperty(
            name = "发票信息_一般纳锐人证明"
    )
    private String invoiceTaxPayer;
    @ApiModelProperty(
            name = "发票信息_一般纳锐人证明文件名称"
    )
    private String invoiceTaxPayerName;
    @ApiModelProperty(
            name = "余额预警"
    )
    private String invoiceBalanceWarn;
    @ApiModelProperty(
            name = "余额预警接收人-手机号码"
    )
    private String invoiceWarnPersionPhone;
    @ApiModelProperty(
            name = "日调用量提醒开启 1：开启 ，0：关闭"
    )
    private String invoiceDayCountWarn;
    @ApiModelProperty("客户来源")
    private Integer customerSource;
    @ApiModelProperty("客户调用ip")
    private String customerIp;
    @ApiModelProperty(
            name = "客户状态"
    )
    private Integer status;
}
