package info.aspirecn.cloud.yysj.cloudyysjlogin.entity.response;

import info.aspirecn.cloud.yysj.cloudyysjlogin.enums.ResultEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@ToString
@Accessors(chain = true)
public class ResultResponse {

    /**状态码描述信息 */
    @ApiModelProperty(value = "响应信息")
    private String message ="";

    /** 返回数据信息*/
    @ApiModelProperty(value = "响应数据")
    private Object data = "";

    /** 返回数据信息*/
    @ApiModelProperty(value = "错误码")
    private Integer code=200;

    public void setError(ResultEnum resultEnum) {

        this.message = resultEnum.getMessage();

    }

    public void setSuccess(ResultEnum resultEnum, Object data) {

        this.message = resultEnum.getMessage();
        this.data = data;
    }
}
