package info.aspirecn.cloud.yysj.cloudyysjlogin.enums;

public enum ResultEnum {
    /**
     * 查询成功
     */
    YYSJ_SUCCESS( 200, "请求成功"),
    YYSJ_REQUEST_PARAMETER_ERROR(400,"请求参数错误"),
    YYSJ_NO_USER(400,"用户名或密码错误"),
    YYSJ_REQUEST_TOKEN_ERROR(401,"请求token无效"),
    YYSJ_REQUEST_TOKEN_OUTTIME(403,"请求token过期"),
    YYSJ_LOGIN_AGAIN(403,"请先登录"),
    YYSJ_SYSTEM_ERROR(500,"系统异常"),
    YYSJ_SYSTEM_BUSY(504,"系统繁忙，请稍后再试")
    ;

    private Integer status;
    private String message;

    ResultEnum(Integer status, String message) {
        this.status = status;
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public Integer getStatus() {
        return status;
    }

}