package info.aspirecn.cloud.yysj.cloudyysjlogin.service;

import info.aspirecn.cloud.yysj.cloudyysjlogin.entity.request.sjjh.UserAccountRes;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "${yysj.sjjh.info.sjjhOrderService.feignValue}",url = "${yysj.sjjh.info.sjjhOrderService.feignUrl}")
public interface SjjhOrderService {
    /**
     * 数据交互充值表创建用户
     * @param userId    数据交互的id
     * @param balance
     * @return
     */
    @RequestMapping(value = "/addAccountForNewUser.do",method = RequestMethod.POST)
    Boolean addAccountForNewUser(@RequestParam("userId") Integer userId,
                                 @RequestParam("balance") Long balance);

    /**
     * 查询数据交互充值表信息
     * @param userId 根据用户nid
     * @return
     */
    @RequestMapping(value = "/getUserAccount.do",method = RequestMethod.GET)
    UserAccountRes getUserAccount(@RequestParam("userId") Integer userId);
}
